Subject: [karp] Comments on framework document: keystore

From: Sam Hartman <[email-masked]>
Date: Wed, 19 May 2010 15:36:21 -0400

There is a comment after the description of the components in the
framework document that perhaps the keystore is not needed.

I think that at this stage in the work, the keystore clouds rather than
adds clarity.  It seems to mix operator-provisioned and KMP-provisioned
keys and explicitly mixes multiple types of keys (peer keys and traffic
keys).

I think that in terms of trying to understand the framework we should
remove the key store.

We may bring it back either as a better defined global concept when we
get to a point where performance optimizations are well-understood, or
more likely as a concept within a specific KMP.

If the keystore is going to remain it needs to have a much more clearly
defined role.

--Sam